Name:           shedskin
Version:        0.7.1
Release:        1%{?dist}
Summary:        Python to C++ compiler

Group:          Development/Languages
# The dict implementation in shedskin/lib/builtin.cpp is under the Python
# license. The Murmurhash implementation in builtin.cpp is bundled (noted
# below) and licensed MIT.
# Other files in shedskin/lib/ are MIT, rest GPLv3
License:        GPLv3 and (MIT and Python)
URL:            http://code.google.com/p/shedskin/
Source0:        http://shedskin.googlecode.com/files/shedskin-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

# Require all devel packages for making a binary
# <gc/gc_allocator.h>
Requires:       gc-devel
# <sys/types.h>
Requires:       glibc-headers
# <pcre.h>
Requires:       pcre-devel
# <Python.h>
Requires:       python-devel

# murmurhash is bundled in shedskin/lib/buildin.cpp as a hash function
# http://sites.google.com/site/murmurhash/
# fpc exception granted at:
# https://fedorahosted.org/fpc/ticket/39
Provides:       bundled(murmurhash) = 2

%description
Shed Skin is an experimental compiler, that can translate pure, but
implicitly statically typed Python programs into optimized C++. It can
generate stand-alone programs or extension modules, that can be imported
and used in larger Python programs.


%prep
%setup -q -n %{name}-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE README.html
%{_bindir}/shedskin
%{python_sitelib}/shedskin/
%{python_sitelib}/shedskin-*.egg-info


%changelog
* Wed Feb 23 2011 Thomas Spura <tomspur@fedoraproject.org> - 0.7.1-1
- update to new version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 25 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.7-3
- add some missing Requires

* Thu Dec 16 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.7-2
- fix license tag (thanks Toshio Ernie Kuratomi)

* Sun Dec 12 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.7-1
- update to new version

* Wed Dec  1 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.6-2
- provide bundled(murmurhash)

* Mon Nov 29 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.6-1
- update to new version

* Sun Jun 20 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.5-1
- update to new version

* Sun Mar 28 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.4.0-1
- update to new version

* Mon Jan 18 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.3.1-3
- make %%files more explicit

* Sat Jan 16 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.3.1-2
- use GPLv3 and MIT as license

* Wed Jan 13 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.3.1-1
- new version 0.3.1

* Sat Jan 09 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.3-1
- initial spec for upcoming 0.3 version
